//
//  File.swift
//  firework_flutter_sdk
//
//  Created by Jeff Zheng on 2022/2/21.
//

import Foundation
import Flutter

@objc(SwiftFireworkFlutterSdkPlugin)
public class SwiftFireworkFlutterSdkPlugin: NSObject, FlutterPlugin {
    public static var customCartPageProvdier: (() -> FlutterViewController)?
    
    public static func register(with registrar: FlutterPluginRegistrar) {
        FireworkSDKModulePlugin.register(with: registrar)
        ShoppingModulePlugin.register(with: registrar)
        LiveStreamModulePlugin.register(with: registrar)
        FireworkFlutterModulePlugin.register(with: registrar)
        
        let factory = VideoFeedViewFactory(messenger: registrar.messenger())
        registrar.register(factory, withId: FWChannelName.FireworkVideoFeed.rawValue)
    }
    
}
