class VideoFeedConfiguration {
  /// The background color of video feed.
  String? backgroundColor;

  /// The corner radius of video feed. Only supported on iOS.
  double? cornerRadius;

  /// The configuration of video feed title.
  VideoFeedTitleConfiguration? title;

  /// The title position of video feed.
  VideoFeedTitlePosition? titlePosition;

  /// The configuration of video feed play icon. Only supported on iOS.
  VideoFeedPlayIconConfiguration? playIcon;

  /// Indicates if the video feed shows ad badge.
  bool? showAdBadge;

  VideoFeedConfiguration({
    this.backgroundColor,
    this.cornerRadius,
    this.title,
    this.titlePosition,
    this.playIcon,
  });
}

class VideoFeedPlayIconConfiguration {
  bool? hidden;
  double? iconWidth;

  VideoFeedPlayIconConfiguration({
    this.hidden,
    this.iconWidth,
  });
}

class VideoFeedTitleConfiguration {
  bool? hidden;
  String? textColor;
  double? fontSize;

  VideoFeedTitleConfiguration({
    this.hidden,
    this.textColor,
    this.fontSize,
  });
}

enum VideoFeedTitlePosition {
  stacked,
  nested,
}
